Bug 1524 - "user" segment, not section
: "user" segment, not section
Status: CLOSED WONTFIX
Product: Developer Guide
maemo.org wiki
: unspecified
: All Linux
: Low normal (vote)
: ---
Assigned To: Juha Tukkinen
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-06-08 16:13 UTC by Eero Tamminen
Modified: 2010-05-17 16:23 UTC (History)
2 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Eero Tamminen (reporter) nokia 2007-06-08 16:13:21 UTC
Terminology bug:
http://maemo.org/development/documentation/how-tos/3-x/howto_making_an_application_package_bora.html

The "Sections" section talks about "user" section and subsections.

However, in Debian Policy the (optional) first part of the "Section" field
in the package description is called "segment" and the last part is "section":
http://www.debian.org/doc/debian-policy/ch-archive.html#s-subsections
Comment 1 Marius Vollmer nokia 2007-06-08 16:32:25 UTC
(In reply to comment #0)
> However, in Debian Policy the (optional) first part of the "Section" field
> in the package description is called "segment" and the last part is "section":

Wow, I was looking so hard when I tried to understand the terminology 2 years
ago... I can't believe I missed this.  Did Debian change their terminology?
Fixed in http://hildon-app-mgr.garage.maemo.org/packaging.html, no clue how to
update the 'official' how-to.
Comment 2 Marius Vollmer nokia 2007-06-08 16:33:13 UTC
Ahh, sorry, I shouldn' resolve this bug, it's not mine.
Comment 3 Eero Tamminen (reporter) nokia 2007-06-08 16:59:55 UTC
> I can't believe I missed this.

I had also a bit different recollection of this, but it's still the same
version 3.7.2.2, 2006-10-02 of the policy...
Comment 4 Juha Tukkinen nokia 2007-06-25 13:10:46 UTC
I'll fix the official page from maemo.org if you just send me e.g. via mail the
text how it should be said correctly to avoid my interpretation of the policy.
Comment 5 Eero Tamminen (reporter) nokia 2007-07-31 11:27:34 UTC
(In reply to comment #4)
> I'll fix the official page from maemo.org if you just send me e.g. via mail
> the text how it should be said correctly to avoid my interpretation of the
> policy.

In the "Sections" section change these:
  By default, the AI 2007 only shows packages in certain sections to the user.
  The AI only shows packages in the "user" section.
to:
  By default, the AI 2007 only shows packages in certain segments to the user.
  The AI only shows packages in the "user" segment.

And change all the occurrences of "subsection" and "SUBSECTION" to "section"
and "SECTION".


I think the segments are:
- In Debian: main, contrib and non-free
- In Ubuntu there are also: restricted, universe, multiverse
- in Maemo: main, contrib, non-free and user
(If somebody knows better, please correct me)
Comment 6 Juha Tukkinen nokia 2007-07-31 12:58:51 UTC
Ubuntu talks about _components_ : main, restricted, universe, multiverse etc.
Level-of-support-driven -packaging sort to say.

Debian has _distributions_ (stable, testing, unstable [and experimental etc.])
and _sections_ (main, contrib, non-free). Kind of freedom-driven -packaging.
[2]

As a newbie, in maemo this seems to be more messy with just too many
repositories here and there with inconsistent naming policies.

So which naming should we stick to? Debian's "section" seems fine to me
nevertheless if Debian policy says otherwise (which is rather strange)?

[1] http://www.ubuntu.com/community/ubuntustory/components
[2] http://www.debian.org/distrib/packages
Comment 7 Eero Tamminen (reporter) nokia 2007-07-31 15:52:44 UTC
(In reply to comment #6)
> Ubuntu talks about _components_ : main, restricted, universe, multiverse etc.
> Level-of-support-driven -packaging sort to say.

So it seems...

> Debian has _distributions_ (stable, testing, unstable [and experimental etc.])
> and _sections_ (main, contrib, non-free). Kind of freedom-driven -packaging.
> [2]

No main, contrib & non-free are actually categories according:
  http://www.debian.org/doc/debian-policy/ch-archive.html#s-sections

Now I'm confused, why part of the policy talks about them as categories
and another refers to them (in control file Section field) as segments?
Comment 8 Juha Tukkinen nokia 2007-08-21 13:43:08 UTC
Agreed with Eero to label this as a WONTFIX now as Debian itself also uses the
terms interchangeably.
Comment 9 Jake Kunnari 2007-11-28 13:03:43 UTC
Closing. Resolution has been verified.
Comment 10 Andre Klapper maemo.org 2008-10-30 19:01:59 UTC
Moving Documentation component from maemo.org to Development Platform since the
bugs there refer to official developer documentation and this falls out of the
responsibility of the community.
Sorry for the noise, you can filter your bugmail by searching for this comment.
Comment 11 Andre Klapper maemo.org 2010-05-17 16:23:54 UTC
[Rearrangement of Documentation bug reports.]
Mass-moving old closed Developer Platform > Documentation tickets.
You can filter bugmail by searching for this comment.